Skip to main content
BlueAI
Home/Project/Labels

Labels

Create and delete labels within a project, and assign or remove labels from tasks.

|

Endpoints

GET/api/v1/project/projects/{id}/labelsList labels
POST/api/v1/project/projects/{id}/labelsCreate a label
DELETE/api/v1/project/projects/{id}/labels/{lid}Delete a label
POST/api/v1/project/projects/{id}/tasks/{tid}/labelsAdd label to task
DELETE/api/v1/project/projects/{id}/tasks/{tid}/labels/{lid}Remove label from task
GET/api/v1/project/projects/{id}/labels

List labels

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalProject ID

Code Examples

curl "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/labels" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/project/projects/{id}/labels

Create a label

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalProject ID

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/labels" \
  -H "Cookie: better-auth.session_token=<token>"
DELETE/api/v1/project/projects/{id}/labels/{lid}

Delete a label

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalProject ID
lid
stringOptionalLabel ID

Code Examples

curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/labels/lbl_123e4567e89b12d3a456426614174000" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/project/projects/{id}/tasks/{tid}/labels

Add label to task

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalProject ID
tid
stringOptionalTask ID

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks/task_123e4567e89b12d3a456426614174000/labels" \
  -H "Cookie: better-auth.session_token=<token>"
DELETE/api/v1/project/projects/{id}/tasks/{tid}/labels/{lid}

Remove label from task

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalProject ID
tid
stringOptionalTask ID
lid
stringOptionalLabel ID

Code Examples

curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks/task_123e4567e89b12d3a456426614174000/labels/lbl_123e4567e89b12d3a456426614174000" \
  -H "Cookie: better-auth.session_token=<token>"